> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/user-attribute.md).

# User Attribute

## Viewing all user attributes for a user

> To view all attributes for a specific user:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/user/{userId}/attribute":{"get":{"summary":"Viewing all user attributes for a user","operationId":"get-api-v2-portfolio-portfolioid-user-userid-attribute","tags":["User attribute"],"description":"To view all attributes for a specific user:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"}}}}}}
```

## Creating a new user attribute

> To create a new user attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/user/{userId}/attribute":{"post":{"summary":"Creating a new user attribute","operationId":"post-api-v2-portfolio-portfolioid-user-userid-attribute","tags":["User attribute"],"description":"To create a new user attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"attribute":{"type":"string"},"value":{"type":"string"}},"required":["attribute"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## Viewing a specific user attribute

> To view details for a specific user attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/user/{userId}/attribute/{userAttributeId}":{"get":{"summary":"Viewing a specific user attribute","operationId":"get-api-v2-portfolio-portfolioid-user-userid-attribute-userattributeid","tags":["User attribute"],"description":"To view details for a specific user attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userAttributeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"}}}}}}
```

## Deleting a specific user attribute

> To delete a specific user attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/user/{userId}/attribute/{userAttributeId}":{"delete":{"summary":"Deleting a specific user attribute","operationId":"delete-api-v2-portfolio-portfolioid-user-userid-attribute-userattributeid","tags":["User attribute"],"description":"To delete a specific user attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userAttributeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"USER_ATTRIBUTE":{"type":"integer"}}}}}}}}}}}
```

## Updating a specific user attribute

> To update a specific user attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/user/{userId}/attribute/{userAttributeId}":{"patch":{"summary":"Updating a specific user attribute","operationId":"patch-api-v2-portfolio-portfolioid-user-userid-attribute-userattributeid","tags":["User attribute"],"description":"To update a specific user attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userAttributeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"value":{"type":"string"},"status":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/user-attribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
